%define _name   omemo

Name:           gajim-plugin-omemo
Version:        2.9.0
Release:        %mkrel 5
Summary:        Gajim plugin for OMEMO Multi-End Message and Object Encryption
License:        GPL-3.0-only
Group:          Networking/Instant messaging
URL:            https://dev.gajim.org/gajim/gajim-plugins/wikis/OmemoGajimPlugin
Source:         https://ftp.gajim.org/plugins/master/omemo/omemo_%{version}.zip
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(protobuf)
BuildRequires:  gajim >= 1.6.0
BuildRequires:  unzip

Requires:       python3dist(python-axolotl)
Requires:       python3dist(cryptography)
Requires:       python3dist(protobuf)
Requires:       gajim
# Verification QR Codes
Recommends:     python3dist(qrcode)

%description
This plugin adds support to Gajim for the OMEMO Encryption, an
XMPP Extension Protocol (XEP) for secure multi-client end-to-end
encryption based on Double Ratchet and PEP.

%prep
%setup -q -c

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{python3_sitelib}/gajim/data/plugins/%{_name}/
find . -mindepth 1 -maxdepth 1 \
       -name COPYING -or \
       -exec cp -a '{}' \
       %{buildroot}%{python3_sitelib}/gajim/data/plugins/%{_name}/ \
       ';'

%files
%license COPYING
%{python3_sitelib}/gajim/data/plugins/%{_name}/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.9.0-5.mga10
+ Revision: 2243659
- Mageia 10 Mass Rebuild

* Sun Mar 09 2025 daviddavid <daviddavid> 2.9.0-4.mga10
+ Revision: 2162110
- rebuild for python 3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 2.9.0-3.mga10
+ Revision: 2031419
- rebuild for py3.12
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Wed May 24 2023 daviddavid <daviddavid> 2.9.0-1.mga9
+ Revision: 1957916
- initial package gajim-plugin-omemo (mga#25292)

